Product was successfully added to your shopping cart.

SYSTEM REQUIREMENTS

PrintBoss is compatible with Windows© Versions NT40, W2000, W2003 Server, WXP, Vista, Windows 7, Windows 8, Windows 10, Server 2008, Server 2008R2, and Server 2012R2operating systems. It is also compatible with 64-bit Operating Systems on W2003 and above. As a general rule, 64 MB of RAM should be available for use with PrintBoss. PrintBoss can be installed onto a single workstation or a single network. Please see your license agreement to determine the restrictions for network installation.

PrintBoss is NOT compatible with Mac iOS, though it can be used with Windows for Mac.

PRINTER REQUIREMENTS

We recommend printing checks using a Hewlett-Packard LaserJet printer. Please note that any printer used with PrintBoss must be 100% HP compatible with a PCL5e or PCL6 compatible driver. PrintBoss may not be compatible with PostScript printers.

PrintBoss is guaranteed to work with most of the Hewlett- Packard LaserJet printers, though the HPLJIID, HPLJ Series II, and HPLJIII models are extremely limited in their font options. Any of the newer HP Laser Jet printers will work. For a complete printer list, see our toner list here (you will be taken to our Wellspring Software website). If you have an HPLI that isn't listed, call us at (636)527-6100 for compatibility information. Print speed requirements and budget should help determine the best Hewlett-Packard LaserJet model for your needs. When considering a brand other than HP, take in consideration the cost of ink and maintenance as well as the life expectancy of the equipment.

NOTE

Printers other than Laser printers have a smaller printable area and may not be able to print full documents. This is particularly important for printing checks as models other than Lasers are often incapable of printing the MICR line. PrintBoss is not guaranteed to work with printers that are not Laser printers.

PrintBoss will NOT work with any dot matrix (impact) printer.